Subject: Re: [PATCH v2 2/6] leds: trigger: Create a new LED netdev trigger for collision

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 29 Feb 2024 16:58:21 +0000

On Thu, Feb 29, 2024 at 04:17:47PM +0100, Andrew Lunn wrote:
> 2) LEDs are the wild west, because it is not part of 802.3. Every
> vendor does it differently, and has their own special blinking
> patterns. My preference is to keep it simple to what people actually
> use. You cannot actually generate a collision, the developer who wants
> to add support for collision. I have to ask, is collision actually
> useful?

I'm not sure when you say "You cannot actually generate a collision"
whether you're referring to the link or the LEDs here? Obviously, we
can't detect a collision unless the hardware tells us that it happened.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!